> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Apply a compiled formula to every row

> Persists the compiled formula on the column and computes it for every row in the table.



## OpenAPI

````yaml post /table/column/{columnId}/computed/apply
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /table/column/{columnId}/computed/apply:
    post:
      tags:
        - Tables
      summary: Apply a compiled formula to every row
      description: >-
        Persists the compiled formula on the column and computes it for every
        row in the table.
      operationId: applyComputedColumn
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: columnId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                description:
                  type: array
                  items:
                    anyOf:
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - text
                          text:
                            type: string
                        required:
                          - kind
                          - text
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - column
                          columnId:
                            type: string
                        required:
                          - kind
                          - columnId
                format:
                  type: object
                  properties:
                    dataType:
                      type: string
                      enum:
                        - identifier
                        - oneMany
                        - string
                        - number
                        - money
                        - time
                        - location
                        - date
                        - checkbox
                        - formula
                        - computed
                        - select
                        - multiSelect
                        - linkCell
                        - email
                        - url
                        - phone
                        - image
                    dataTypeParam:
                      type: string
                  required:
                    - dataType
                expression: {}
              required:
                - description
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  updatedRows:
                    type: number
                required:
                  - updatedRows
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '422':
          description: 422 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '429':
          description: 429 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '502':
          description: 502 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````